<?php
// Ripe Website Manager

// BIG_ONE class
// runs through out the Frontend steps

class big_one{
  // initializing
  var $pdata;
  var $level;
  var $templatedata;
  var $p;
  var $type;
      
    
  // setting vars, get data etc
  function big_one($p,$level,$type){
    // define.
    define("P", $p); // page id
    define("LEVEL", $level); // directory level
    define("TYPE", $type); // 
    
    // start timer
    $startTime = array_sum(explode(" ",microtime()));
    // start a session
    session_start();
    
    // include the config file
    require_once(LEVEL.'includes/config.php');
    // include common includes
    require_once(LEVEL.'includes/functions/querydb.php');
    // trim the text
    include (LEVEL.'includes/functions/trim_text.php');
    // show adverts
    include (LEVEL.'includes/functions/show_adverts.php');
          
    // STEP 1 
    // - Collect website settings as an array $site_settings
    require_once(LEVEL.'includes/functions/site_settings.php');
    $GLOBALS['site_settings'] = get_site_settings();
            
    // STEP 2 
    // - Verify logged in. Do login
    require_once(LEVEL.'includes/classes/login_class.php');
    $login = new login_class();
    define("USR_ACCESS", $login->access); // usr access
    define("USR_ID", $login->user_id); // usr id
    define("USR", $login->user); // usr name
       
    // STEP 3 
    // - Collect page data as an array $page_data
    require_once(LEVEL.'includes/functions/page_data.php');
    $GLOBALS['page_data'] = get_pagedata();
        
    // STEP 4 
    // - Page type. Load files depending on page type etc.
    // - then manipulate the content depending on type.
    require_once(LEVEL.'includes/functions/page_type.php');
    do_pagetype($Rconfig);
        
    // STEP 5 
    // - Verify access
    // - Define user_access to.
    $login->login_permissions();
        
    // STEP 6 
    // - Components. Replace component tags with components.
    // - currently a function but will be a class soon.
    require_once(LEVEL.'includes/classes/component-class.php');
    do_components();
        
    // STEP 7 - include extras
    // Search module
    require(LEVEL.'includes/functions/search.php');
        
    // STEP 8 
    // - Template. Run through the template process
    require_once(LEVEL.'includes/functions/navs.php');
    require_once(LEVEL.'includes/template_tags.php');
    require_once(LEVEL.'includes/functions/blocks.php');
    require_once(LEVEL.'includes/functions/template_process.php');
    template_process($ttags);
        
    // STEP 9
    // - Save stats
    require_once(LEVEL.'includes/classes/logstats.php');
    $stats = new logstats();
    $stats -> loadtime = $stats -> get_loadtime($startTime);
    $stats -> savestats();
    $stats -> savehits();
    }
}
?>
