-- phpMyAdmin SQL Dump
-- 
-- Base dump for Ripe Website Manager
-- Version 0.8.8
-- 17 May 2007


-- --------------------------------------------------------
-- 
-- Table structure for table `adverts`
-- 

CREATE TABLE `adverts` (
  `id` int(11) NOT NULL auto_increment,
  `size` varchar(10) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `code` text NOT NULL,
  `impressions` int(11) NOT NULL default '0',
  `max_impressions` int(11) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM ;

-- 
-- Table structure for table `article_comments`
-- 

CREATE TABLE `article_comments` (
  `id` int(11) NOT NULL auto_increment,
  `article_id` int(11) NOT NULL default '0',
  `timestamp` varchar(40) NOT NULL default '0',
  `subject` varchar(150) NOT NULL default '',
  `comment` text NOT NULL,
  `author` varchar(100) NOT NULL default '',
  `url` varchar(100) NOT NULL default '',
  `email` varchar(150) NOT NULL default '',
  `admin` smallint(6) NOT NULL default '0',
  `rating` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `article_pref`
-- 

CREATE TABLE `article_pref` (
  `id` int(11) NOT NULL auto_increment,
  `page_id` int(11) NOT NULL default '0',
  `template_id` int(11) NOT NULL default '0',
  `comments_on` smallint(6) NOT NULL default '0',
  `artno` int(11) NOT NULL default '0',
  `truncation` int(11) NOT NULL default '0',
  `opento` varchar(10) NOT NULL default 'Admin',
  `commentsby` varchar(10) NOT NULL default 'Public',
  `show_author` smallint(6) NOT NULL default '1',
  `show_date` smallint(6) NOT NULL default '1',
  `featured_no` int(11) NOT NULL default '1',
  `art_imgs` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `article_pref`
-- 

INSERT INTO `article_pref` VALUES (1, 1, 0, 1, 3, 25, 'Admin', 'Public', 1, 1, 1, 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `articles`
-- 


CREATE TABLE `articles` (
  `id` int(11) NOT NULL auto_increment,
  `page_id` int(11) NOT NULL default '0',
  `type` varchar(25) NOT NULL default 'article',
  `title` varchar(100) NOT NULL default '',
  `image` varchar(250) NOT NULL default '',
  `timestamp` varchar(40) NOT NULL default '',
  `last_edit` int(11) NOT NULL default '0',
  `content` text NOT NULL,
  `comments` int(11) NOT NULL default '0',
  `url` varchar(100) NOT NULL default '',
  `author` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `content` (`content`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `channels`
-- 

CREATE TABLE `channels` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `template` int(11) NOT NULL default '0',
  `d_page` int(11) NOT NULL default '0',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `channels`
-- 

INSERT INTO `channels` VALUES (1, 'Main', 15, 1, '');

-- --------------------------------------------------------

-- 
-- Table structure for table `components`
-- 

CREATE TABLE `components` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `tag` varchar(4) NOT NULL default '',
  `url` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `directory_cats`
-- 

CREATE TABLE `directory_cats` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(200) NOT NULL default '',
  `directory_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `directory_items`
-- 

CREATE TABLE `directory_items` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(250) NOT NULL default '',
  `address` text NOT NULL,
  `telephone` varchar(200) NOT NULL default '',
  `email` varchar(200) NOT NULL default '',
  `link` varchar(250) NOT NULL default '',
  `cat_id` int(11) NOT NULL default '0',
  `date` int(11) NOT NULL default '0',
  `logo` text NOT NULL,
  `trailer` text NOT NULL,
  `directory_id` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `feat` tinyint(4) NOT NULL default '0',
  `tags` text NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `directory_stats`
-- 

CREATE TABLE `directory_stats` (
  `id` int(11) NOT NULL auto_increment,
  `item_id` int(11) NOT NULL default '0',
  `month1` int(11) NOT NULL default '0',
  `month2` int(11) NOT NULL default '0',
  `month3` int(11) NOT NULL default '0',
  `month4` int(11) NOT NULL default '0',
  `month5` int(11) NOT NULL default '0',
  `month6` int(11) NOT NULL default '0',
  `month7` int(11) NOT NULL default '0',
  `month8` int(11) NOT NULL default '0',
  `month9` int(11) NOT NULL default '0',
  `month10` int(11) NOT NULL default '0',
  `month11` int(11) NOT NULL default '0',
  `month12` int(11) NOT NULL default '0',
  `monthnum` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- 
-- Dumping data for table `directory_stats`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `form_field_results`
-- 

CREATE TABLE `form_field_results` (
  `id` int(11) NOT NULL auto_increment,
  `form_id` int(11) NOT NULL default '0',
  `result_id` int(11) NOT NULL default '0',
  `label` varchar(100) NOT NULL default '',
  `result` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `form_results`
-- 

CREATE TABLE `form_results` (
  `id` int(11) NOT NULL auto_increment,
  `form_id` int(11) NOT NULL default '0',
  `timestamp` int(11) NOT NULL default '0',
  `ip` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;



-- --------------------------------------------------------

-- 
-- Table structure for table `forms`
-- 

CREATE TABLE `forms` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `html` text NOT NULL,
  `results` int(11) NOT NULL default '0',
  `label_array` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `forms`
-- 

INSERT INTO `forms` VALUES (1, 'contact_us', '<form><table cellspacing="2" cellpadding="5"><tr><td align="left" valign="top"><b>Name: </b></td><td><input type="text" name="name" size="20" value="" /></td></tr><tr><td align="left" valign="top"><b>Email: </b></td><td><input type="text" name="email" size="20" value="" /></td></tr><tr><td align="left" valign="top"><b>Message: </b></td><td><textarea name="message" cols="20" rows="5"></textarea></td></tr><tr><td><input type="submit" value="submit" /></td><td></td></tr></table></form>', 0, 'name,Name: ,email,Email: ,message,Message: ');

-- --------------------------------------------------------

-- 
-- Table structure for table `logs`
-- 

CREATE TABLE `logs` (
  `last_login` varchar(100) NOT NULL default '',
  `this_login` varchar(100) NOT NULL default '',
  `last_user` varchar(100) NOT NULL default '',
  `this_user` varchar(100) NOT NULL default ''
) TYPE=MyISAM AUTO_INCREMENT=2 ;


-- 
-- Dumping data for table `forms`
-- 

INSERT INTO `logs` VALUES ('', '', '', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `media_cols`
-- 

CREATE TABLE `media_cols` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;

-- --------------------------------------------------------

-- 
-- Table structure for table `nav_items`
-- 

CREATE TABLE `nav_items` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `page_id` int(11) NOT NULL default '0',
  `submenu` int(11) NOT NULL default '0',
  `url` text NOT NULL,
  `nav_id` int(11) NOT NULL default '0',
  `order_no` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `nav_items`
-- 

INSERT INTO `nav_items` VALUES (1, 'Home', 1, 0, '', 1, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `navs`
-- 

CREATE TABLE `navs` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `navs`
-- 

INSERT INTO `navs` VALUES (1, 'Main Navigation');

-- --------------------------------------------------------

-- 
-- Table structure for table `page_content`
-- 

CREATE TABLE `page_content` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(60) NOT NULL default '',
  `type` varchar(40) NOT NULL default 'page',
  `url` varchar(100) NOT NULL default '',
  `content` text NOT NULL,
  `order` int(11) NOT NULL default '0',
  `link` varchar(200) NOT NULL default '',
  `subpage` int(11) NOT NULL default '0',
  `subpages` int(11) NOT NULL default '0',
  `channel` int(11) NOT NULL default '1',
  `status` varchar(25) NOT NULL default '',
  `access` varchar(25) NOT NULL default '',
  `timestamp` varchar(20) default NULL,
  `front_page` tinyint(4) NOT NULL default '0',
  `level` varchar(10) NOT NULL default '',
  `locked` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `content` (`content`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `page_content`
-- 

INSERT INTO `page_content` VALUES (1, 'Ripe Website Manager', 'page', 'Front page', '<h1>Ripe Website Manager</h1><br />\r\n<h2>Congratulations. You have now installed Ripe.</h2><br />\r\nRipe Website Manager is a full featured website CMS (content management system). Basically, with Ripe you get an admin area to your website. Here you can create/edit your website pages.<br />\r\n<br />\r\n<h2>So where is this admin panel?</h2><br />\r\n You can log into your admin panel by clicking <a href="admin/">this link</a>. <br />\r\n<br />\r\n<br />\r\n', 1, '', 0, 0, 1, 'Published', 'Public', '1176806571', 1, '', 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `page_types`
-- 

CREATE TABLE `page_types` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `pkey` varchar(100) NOT NULL default '',
  `dbpage` smallint(6) NOT NULL default '0',
  `include` text NOT NULL,
  `template` varchar(255) NOT NULL default '',
  `selectable` tinyint(4) NOT NULL default '1',
  `admin` text NOT NULL,
  `setup` varchar(100) NOT NULL default '',
  `install` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `key` (`pkey`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `page_types`
-- 

INSERT INTO `page_types` VALUES (1, 'Page', 'page', 1, '', 'page.html', 1, '', '', '');
INSERT INTO `page_types` VALUES (2, 'Article/Blog', 'article-summary', 1, 'article-blog/article_summary.php', 'page.html', 1, 'articles/index.php', 'articles/setup.php', '');
INSERT INTO `page_types` VALUES (3, 'Full Article', 'article', 0, 'article-blog/article.php', 'article.html', 0, '', '', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `pref`
-- 

CREATE TABLE `pref` (
  `id` int(11) NOT NULL auto_increment,
  `lang` varchar(20) NOT NULL default '',
  `date_format` varchar(15) NOT NULL default '',
  `timezone` float NOT NULL default '0',
  `time_format` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `pref`
-- 

INSERT INTO `pref` VALUES (1, 'ENG', 'd M Y', 0, 'g:i A');

-- --------------------------------------------------------

-- 
-- Table structure for table `resources`
-- 

CREATE TABLE `resources` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `size` int(6) NOT NULL default '0',
  `type` varchar(30) NOT NULL default '',
  `date` timestamp NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `settings`
-- 

CREATE TABLE `settings` (
  `id` int(11) NOT NULL auto_increment,
  `seo_friendly` tinyint(4) NOT NULL default '0',
  `stats_log_count` int(11) NOT NULL default '0',
  `default_tmp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `settings`
-- 

INSERT INTO `settings` VALUES (1, 1, 100, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `site_info`
-- 

CREATE TABLE `site_info` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `description` text NOT NULL,
  `slogan` varchar(250) NOT NULL default '',
  `logo` varchar(100) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `root_address` varchar(200) NOT NULL default '',
  `install_dir` varchar(200) NOT NULL default '',
  `footer` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- 
-- Table structure for table `stats`
-- 

CREATE TABLE `stats` (
  `id` int(11) NOT NULL auto_increment,
  `loadtime` float NOT NULL default '0',
  `timestamp` int(11) NOT NULL default '0',
  `ip` varchar(40) NOT NULL default '',
  `referer` varchar(255) NOT NULL default '',
  `browser` varchar(40) NOT NULL default '',
  `broswer_v` varchar(6) NOT NULL default '',
  `platform` varchar(40) NOT NULL default '',
  `remote_host` varchar(25) NOT NULL default '',
  `self` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;

-- --------------------------------------------------------

-- 
-- Table structure for table `tags`
-- 

CREATE TABLE `tags` (
  `id` int(11) NOT NULL auto_increment,
  `tag` varchar(50) NOT NULL default '',
  `directory_items` text NOT NULL,
  `videos` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;


-- --------------------------------------------------------

-- 
-- Table structure for table `templates`
-- 

CREATE TABLE `templates` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) NOT NULL default '',
  `dir` varchar(100) NOT NULL default '',
  `editable` tinyint(4) NOT NULL default '0',
  `css` text NOT NULL,
  `design` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `templates`
-- 

INSERT INTO `templates` VALUES (1, 'breeze', 'breeze', 0, '', '');
INSERT INTO `templates` VALUES (2, 'jump', 'jump', 0, '', '');
-- --------------------------------------------------------

-- 
-- Table structure for table `user`
-- 

CREATE TABLE `user` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(32) NOT NULL default '',
  `pass` varchar(40) NOT NULL default '',
  `user_group` int(11) NOT NULL default '0',
  `full_name` varchar(250) NOT NULL default '',
  `email` varchar(250) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  `last_visit` int(11) NOT NULL default '0',
  `article_count` int(11) NOT NULL default '0',
  `comment_count` int(11) NOT NULL default '0',
  `banned` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM ;
-- --------------------------------------------------------

-- 
-- Table structure for table `user_groups`
-- 

CREATE TABLE `user_groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `access` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=6 ;

-- 
-- Dumping data for table `user_groups`
-- 

INSERT INTO `user_groups` VALUES (1, 'Super Administrator', 'Admin');
INSERT INTO `user_groups` VALUES (2, 'Administrator', 'Admin');
INSERT INTO `user_groups` VALUES (3, 'Moderator', 'Registered');
INSERT INTO `user_groups` VALUES (4, 'Registered', 'Registered');
INSERT INTO `user_groups` VALUES (5, 'Visitors', 'Public');
        

-- 
-- Table structure for table `hits`
-- 

CREATE TABLE `hits` (
  `date` int(11) NOT NULL default '0',
  `unique` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0'
) ENGINE=MyISAM;
